Comunidade
AutoCAD - Português
Bem vindo ao Forum de AutoCAD da Autodesk. Compartilhe seu conhecimento, faça perguntas e explore os tópicos mais populares de AutoCAD.
cancelar
Mostrando resultados para 
Mostrar  apenas  | Pesquisar então 
Você quer dizer: 

Limpar e organizar layers

3 RESPOSTAS 3
SOLUCIONADO
Responder
Mensagem 1 de 4
T.Ferreira
70 Exibições, 3 Respostas

Limpar e organizar layers

Olá pessoal.

Estou em uma situação que gostaria de entender de que forma vcs a  resolveriam.

O caso:

Tenho que organizar um arquivo CAD de uma mega fábrica, são mais de 700 layers que não estão divididos por grupo nem mesmo possuem um padrão de nomeclatura.


Somente de layer destinado a representação dos equipamentos devo ter no mínimo uns 30, 50, 100 ainda nem iniciei mas acredito que o número possa ser ainda maior.

 

Captura de tela 2024-04-03 161308.png


Um fator importante a ser destacado é que este projeto de implantação não foi feito utilizando "xref" foram introduzido os projetos de cada edificação e montado o complexo industrial inteiro desta forma.

A finalidade é que fique aparecendo as disciplinas de arquitetura e layout de equipamentos.

De que forma vcs fariam a organização dos layeres? 

3 RESPOSTAS 3
Mensagem 2 de 4
f_santana
em resposta a: T.Ferreira

sem que existe algum padrão não tem como gerar alguma automação que ajude você no processo.

dai só resto mesmo o MERGE LAYER, com este comando você pode ir escolhendo vários layers e dizer depois em qual layer eles devem se juntar. mas mesmo assim vai dar um trabalho de cão.


Você achou uma postagem útil? Então fique à vontade para curtir essas postagens!
Sua pergunta obteve uma resposta que resolveu a duvida? Então clique no botão Aceitar Solução.


Fábio Santana
Architect | CAD/BIM Manager

EESignature

Mensagem 3 de 4
hmsilva
em resposta a: T.Ferreira

Olá  @T.Ferreira  eu quando me aparecem situações dessas o que eu faço é dividir os layers por grupos , utilizando este lisp para colocar prefixos nos nome dos layers e assim é mais facil utilizar os filtros para os trornar visiveis ou não.
Eu vou pondo off ou freeze os layers que não quero mudar o nome e adiciono o prefixo nos layers visiveis.

 

Este lisp vai colocar o prefixo em todos os layers visiveis, ou seja em todos os layers que não estão off ou freeze.

(defun c:lpre (/ layers lname pre)
    (vl-load-com)
    (if	(and (setq pre (getstring "\nEnter layer prefix: "))
	     (snvalid pre)
	)
	(progn
	    (or acdoc (setq acdoc (vla-get-activedocument (vlax-get-acad-object))))
	    (setq layers (vla-get-layers acdoc))
	    (vlax-for lay layers
		(setq lname (vla-get-name lay))
		(if (and (not (member lname '("0" "Defpoints")))
			 (eq :vlax-true (vla-get-layeron lay))
			 (eq :vlax-false (vla-get-freeze lay))
			 (not (wcmatch lname (strcat pre "*")))
		    )
		    (vla-put-name lay (strcat pre lname))
		)
	    )
	)
    )
    (princ)
)

 

Depois, ou antes, como sugerido pelo @f_santana  utiliza o comando LAYMRG ou mesmo no quadro dos layers selecionando os layers pretendidos, botão do lado direito do rato e Merge select layer(s) to...

 

Espero que ajude
Henrique

EESignature

Mensagem 4 de 4
T.Ferreira
em resposta a: T.Ferreira

Obrigado @hmsilva neste caso irei adotar como resposta ambas, pois entendo que uma complementa a outra, no meu caso irei utilizar apenas a solução do @f_santana, ainda não consigo mensurar quanto tempo vai demorar pois a cada processo de seleção por mais que a workstation que possuo seja acima da média de mercado fico 15 min. para cada operação até que destrave.

Mas é isso... Obrigado meus queridos e agora será um ótimo período para ir respondendo os emails e aperfeiçoando a inteligência emocional....

Não encontrou o que está procurando? Pergunte à comunidade ou compartilhe seu conhecimento.

Postar nos fóruns